{
	"source": "turn-announcer.mjs",
	"engines": {
		"node": ">=16.0.0"
	},
	"type": "module",
	"devDependencies": {
		"@league-of-foundry-developers/foundry-vtt-types": "^9.280.0",
		"chokidar": "^3.6.0",
		"esbuild": "^0.20.1",
		"eslint": "^8.57.0",
		"eslint-plugin-jsdoc": "^48.2.0",
		"eslint-plugin-optimize-regex": "^1.2.1",
		"husky": "^9.0.11",
		"lint-staged": "^15.2.2",
		"prettier": "^3.2.5",
		"sass": "^1.71.1"
	},
	"lint-staged": {
		"*.mjs": "eslint --cache --fix",
		"*.json": "prettier --write",
		"*.scss": "prettier --write"
	},
	"scripts": {
		"prepare": "npx husky install",
		"lint:js": "npx eslint . --ext js,mjs --cache",
		"lint:js:fix": "npx eslint . --ext js,mjs --cache --fix",
		"prerelease": "npm run build",
		"release": "node ./scripts/release.mjs",
		"build": "npm run sync && npm run js && npm run css",
		"js": "node ./scripts/build.mjs",
		"js:watch": "node ./scripts/build.mjs --watch",
		"sync": "node ./scripts/sync-files.mjs",
		"sync:watch": "node ./scripts/sync-files.mjs --watch",
		"css": "npx sass -s compressed ./scss/turn-announcer.scss ./dist/turn-announcer.css",
		"css:watch": "npx sass -s compressed --watch ./scss/turn-announcer.scss ./dist/turn-announcer.css"
	},
	"private": true
}
